function create(renderer, utils, beam, color) {
    var head = utils.createLines(renderer, beam, color, [
        {"start": [0.0, 0.0, 0.0], "end": [0.0, -1.0, 0.0], "size": [8.0, 8.0]}
    ]);
    head.anchor.set("head");
    head.setOffset(0.0, 0.0, 0.0).setRotation(0, 0, 0.0).setScale(16.0, 8.0, 16.0);
    head.mirror = false;

    var head2 = utils.createLines(renderer, beam, color, [
        {"start": [0.0, 0.0, 0.0], "end": [0.0, -1.0, 0.0], "size": [8.0, 8.0]}
    ]);
    head2.anchor.set("head");
    head2.setOffset(0.0, -3.5, 4.0).setRotation(90, 0, 0.0).setScale(16.0, 8.0, 16.0);
    head2.mirror = false;

    var body = utils.createLines(renderer, beam, color, [
        {"start": [0.0, 0.0, 0.0], "end": [0.0, -1.0, 0.0], "size": [4.0, 8.0]}
    ]);
    body.anchor.set("body");
    body.setOffset(0.0, 12.0, 0.0).setRotation(0, 0, 0.0).setScale(16.0, 12.0, 16.0);
    body.mirror = false;

    var arms = utils.createLines(renderer, beam, color, [
        {"start": [0.0, 0.0, 0.0], "end": [0.0, -1.0, 0.0], "size": [4.0, 4.0]}
    ]);
    arms.anchor.set("rightArm");
    arms.setOffset(1.0, 10.0, 0.0).setRotation(0, 0, 0.0).setScale(16.0, 12.0, 16.0);
    arms.mirror = true;

    var arms2 = utils.createLines(renderer, beam, color, [
        {"start": [0.0, 0.0, 0.0], "end": [0.0, -1.0, 0.0], "size": [12.0, 4.0]}
    ]);
    arms2.anchor.set("rightArm");
    arms2.setOffset(1.0, 4.0, 2.0).setRotation(90, 0, 0.0).setScale(16.0, 4.0, 16.0);
    arms2.mirror = true;

    var legs = utils.createLines(renderer, beam, color, [
        {"start": [0.0, 0.0, 0.0], "end": [0.0, -1.0, 0.0], "size": [4.0, 4.0]}
    ]);
    legs.anchor.set("rightLeg");
    legs.setOffset(0.0, 12.0, 0.0).setRotation(0, 0, 0.0).setScale(16.0, 12.0, 16.0);
    legs.mirror = true;

    var legs2 = utils.createLines(renderer, beam, color, [
        {"start": [0.0, 0.0, 0.0], "end": [0.0, -1.0, 0.0], "size": [12.0, 4.0]}
    ]);
    legs2.anchor.set("rightLeg");
    legs2.setOffset(0.0, 6.0, 2.0).setRotation(90, 0, 0.0).setScale(16.0, 4.0, 16.0);
    legs2.mirror = true;
    
    var lines = [ head, head2, body, arms, arms2, legs, legs2 ];
    var lineMap = {
        "HELMET": [ head, head2 ],
        "CHESTPLATE": [ body, arms, arms2 ],
        "LEGGINGS": [ legs, legs2 ]
    };
    
    return {
        operate: func => {
            lines.forEach(func);
        },
        render: (renderLayer, opacity, color) => {
            if (lineMap.hasOwnProperty(renderLayer)) {
                lineMap[renderLayer].forEach(line => {
                    line.color.set(color);
                    line.opacity = opacity;
                    line.render();
                });
            }
        }
    };
}
